# Get

A consistent Flutter route navigation library that does not rebuild materialApp with each navigation.

## Getting Started

Flutter's conventional navigation method has a route reconstruction bug that makes it inconsistent 
for large applications with undefined routes.
Get came to solve this problem.

Plus, get makes navigation much clearer and more concise for beginners. The nomenclatures u
sed by Flutter routes often confuse those who start with the framework.
Get is friendly to those who came from Web programming, and those who never programmed, 
with a clearer navigation system.

## How to use?

To navigate to a new screen:

```dart
Get.to(context, NextScreen());
```

To return to previous screen

```dart
Get.back(context);
```

To go to the next screen and no option to go back to the previous screen (for use in SplashScreens, login screens and etc.)

```dart
Get.off(context, NextScreen());
```

To go to the next screen and cancel all previous routes (useful in shopping carts, polls, and tests)

```dart
Get.offAll(context, NextScreen());
```

