import 'package:flutter/widgets.dart';
import 'material.dart';

class Get {
  static to(BuildContext context, Widget page, {bool rebuildRoutes = false}) {
    return Navigator.push(
        context,
        MaterialRoute(
            opaque: rebuildRoutes, builder: (BuildContext context) => page));
  }

  static back(BuildContext context) {
    return Navigator.pop(context);
  }

  static off(BuildContext context, Widget page, {bool rebuildRoutes = false}) {
    return Navigator.pushReplacement(
        context,
        MaterialRoute(
            opaque: rebuildRoutes, builder: (BuildContext context) => page));
  }

  static offAll(BuildContext context, Widget page, RoutePredicate predicate,
      {bool rebuildRoutes = false}) {
    return Navigator.pushAndRemoveUntil(
        context,
        MaterialRoute(
            opaque: rebuildRoutes, builder: (BuildContext context) => page),
        predicate);
  }
}
